Bug 463512 - DVD install results in traceback - AttributeError: NetworkDevice instance has no attribute 'bringDeviceUp'
DVD install results in traceback - AttributeError: NetworkDevice instance has...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10Preview
  Show dependency treegraph
 
Reported: 2008-09-23 15:19 EDT by James Laska
Modified: 2013-09-02 02:28 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-25 11:56:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
anacdump.txt (77.84 KB, text/plain)
2008-09-23 15:19 EDT, James Laska
no flags Details

  None (edit)
Description James Laska 2008-09-23 15:19:37 EDT
Created attachment 317514 [details]
anacdump.txt

Description of problem:

Anaconda traceback while setting up yum repositories when booting and installing from a DVD.

Version-Release number of selected component (if applicable):
anaconda 11.4.1.39

How reproducible:
100%

Steps to Reproduce:
1. Boot Fedora-10-Beta-x86_64-DVD.iso
2. Proceed to stage#2
3. Click Next through each prompt, accepting defaults
4. At hostname prompt, enter a hostname other than 'localhost'
  
Actual results:

Traceback (most recent call first):
  File "/usr/lib/anaconda/network.py", line 389, in lookupHostname
    dev.bringDeviceUp()
  File "/usr/lib/anaconda/network.py", line 558, in write
    ip = self.lookupHostname()
  File "/usr/lib/anaconda/yuminstall.py", line 1469, in doPreInstall
    anaconda.id.network.write(anaconda.rootPath)
  File "/usr/lib/anaconda/backend.py", line 258, in doPreInstall
    anaconda.backend.doPreInstall(anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 204, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 127, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1349, in nextClicked
    self.anaconda.dispatch.gotoNext()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 79, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 1370, in handleRenderCallback
    self.currentWindow.renderCallback()
AttributeError: NetworkDevice instance has no attribute 'bringDeviceUp'

Expected results:

No traceback ... networking should not be activated during a DVD installation unless a network URL repo has been added?


Additional info:

The following workarounds exist:

1) boot the DVD with the boot parameter "updates=foo".  And then select "Cancel" at the updates prompt.  This will activate networking as if it were trying to download an updates.img.

2) Use a hostname of 'localhost' works around the traceback.
Comment 1 James Laska 2008-09-23 18:58:52 EDT
Changing blocks to F10Beta per discussion w/ jkeating
Comment 2 James Laska 2008-09-24 10:12:04 EDT
Reproduced on i386 using anaconda 11.4.1.39 included in i386 DVD built on reducto.install.bos.redhat.com
Comment 3 James Laska 2008-09-24 10:47:52 EDT
Using the updates files from http://dcantrel.fedorapeople.org/anaconda/updates/ and loading the updates.img from a USB key does not exhibit this traceback
Comment 4 Will Woods 2008-10-25 11:56:22 EDT
Tested with Snap3 i386 DVD - no traceback, network came up as expected.

Note You need to log in before you can comment on or make changes to this bug.